View Issue Details

IDProjectCategoryView StatusLast Update
0004171SOGosogo-toolpublic2020-05-27 08:09
Reporterroms Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinux 
Product Version3.2.9 
Fixed in Version5.0.0 
Summary0004171: sogo-tool manage-acl does not set acl correctly for group
Description

If we set ACL for a user's calendar to another user, we can use something like this :
sogo-tool manage-acl add user1 'Calendar/personal' 'user2' '["PublicModifier", "ConfidentialDAndTViewer", "PrivateDAndTViewer", "ObjectCreator", "ObjectEraser"]'

Result :
ACL is OK

But if we set ACL for a user's calendar to a group, we should use something like (seen this from sogo-tool manage-acl get ...) :
sogo-tool manage-acl add user1 'Calendar/personal' '@my_group' '["PublicModifier", "ConfidentialDAndTViewer", "PrivateDAndTViewer", "ObjectCreator", "ObjectEraser"]'

Result :
ACL is set for a user with name 'my_group' but not for the group with name 'my_group'
If we go to webmail, the ACL entry is display like if the groupname is a user.

TagsNo tags attached.

Activities

rof

rof

2020-02-03 11:06

reporter   ~0014132

same problem with version 4.3.0.20200202

Related Changesets

sogo: master 05dc51ec

2020-05-26 10:03:16

ludovic

Details Diff
feat(core): handle groups when setting ACLs (fixes 0004171) Affected Issues
0004171
mod - Tools/SOGoToolManageACL.m Diff File

Issue History

Date Modified Username Field Change
2017-05-15 18:17 roms New Issue
2020-02-03 11:06 rof Note Added: 0014132
2020-05-26 10:03 ludovic Changeset attached => sogo master 05dc51ec
2020-05-26 10:03 ludovic Assigned To => ludovic
2020-05-26 10:03 ludovic Resolution open => fixed
2020-05-27 08:09 francis Status new => resolved
2020-05-27 08:09 francis Fixed in Version => 5.0.0